Page MenuHomePhabricator

Export ipsec counters as Prometheus metrics
Closed, DeclinedPublic

Description

I'd be useful to have ipsec counters exposed as prometheus metrics. It can be implemented as a cron writing textfile metrics for node-exporter to pick up.

root@cp2001:~# ipsec listcounters

List of IKE counters:

ikeInitRekey                  0
ikeRspRekey                   0
ikeChildSaRekey           93458
ikeInInvalid                  0
ikeInInvalidSpi              13
ikeInInitReq              17305
ikeInInitRsp               8786
ikeOutInitReq            438702
ikeOutInitRsp             17308
ikeInAuthReq              17305
ikeInAuthRsp               8786
ikeOutAuthReq              8786
ikeOutAuthRsp             17305
ikeInCrChildReq           46998
ikeInCrChildRsp           46590
ikeOutCrChildReq          46596
ikeOutCrChildRsp          46998
ikeInInfoReq            2662073
ikeInInfoRsp            2685154
ikeOutInfoReq           2685157
ikeOutInfoRsp           2662073

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2017, 10:01 PM

@fgiunchedi: This task has no active projects associated. Should this be under User-fgiunchedi ? And/or Operations ? Or closed? Thanks in advance!

thanks @Aklapper ! fixed with operations and monitoring

MoritzMuehlenhoff triaged this task as Medium priority.Nov 13 2017, 7:36 AM
fgiunchedi closed this task as Declined.Dec 10 2019, 2:40 PM

Given we're moving off ipsec for most/all use cases I'm boldly declining